# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_Integer Class Reference

`#include <PDataStd_Integer.hxx>`

Inheritance diagram for PDataStd_Integer:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_Integer ()
Standard_EXPORT | PDataStd_Integer (const Standard_Integer V)
Standard_EXPORT Standard_Integer | Get () const
Standard_EXPORT void | Set (const Standard_Integer V)
| PDataStd_Integer (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPDataStd_IntegermyValue () const
void | _CSFDB_SetPDataStd_IntegermyValue (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_Integer::PDataStd_Integer | ( |  | ) |

Standard_EXPORT PDataStd_Integer::PDataStd_Integer | ( | const Standard_Integer | V | ) |

PDataStd_Integer::PDataStd_Integer | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PDataStd_Integer::_CSFDB_GetPDataStd_IntegermyValue | ( |  | ) | const`[inline]`

void PDataStd_Integer::_CSFDB_SetPDataStd_IntegermyValue | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PDataStd_Integer::Get | ( |  | ) | const

Standard_EXPORT const PDataStd_Integer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

Standard_EXPORT void PDataStd_Integer::Set | ( | const Standard_Integer | V | ) |

## Field Documentation

Standard_Integer PDataStd_Integer::myValue `[private]`

The documentation for this class was generated from the following file:

- PDataStd_Integer.hxx